package com.syntevo.plugin.jira.transport;

import java.io.*;

/**
 * @author syntevo GmbH
 */
public interface JiraConnection {

	String getUrl();

	String getUsername();

	String getPassword();

	void acknowledgeJiraCredentials(boolean success);

	boolean checkSSLServerFingerprintTrusted(String fingerprintSHA, String fingerprintMD5, String url);

	JiraHttpsClientCertificate getSSLClientCertificate(String location);

	void acknowledgeSSLClientCertificate(boolean success);

	void showError(String message, Throwable ex);

	PrintWriter getLog() throws IOException;
}